GET /v1/youtube/web_v2/search_channels
Search channels
stable · 2 credits per success
Search YouTube channels;Only returns channel-type search results (filters out videos, playlists, etc.);Supports pagination to get more channels;keyword: Search keyword (required for first request);continuation_token: Pagination token (optional, for next page);need_format: Whether to format data (default true);- true: Return formatted structured data (recommended);- false: Return raw YouTube API s…
Request parameters
| Name | Type | In | Required | Description | Example |
|---|---|---|---|---|---|
| keyword | string | query | no | 搜索关键词 | Rick Astley |
| need_format | boolean | query | no | 是否格式化数据 | true |
| continuation_token | string | query | no | 分页token | demo |
Response fields
Field dictionary coming soon — the executable panel shows the live shape.
Errors
| code | HTTP | Meaning | Billed |
|---|---|---|---|
| 40001 | 400 | Invalid parameters | no |
| 40102 | 401 | Invalid or revoked API Key | no |
| 40201 | 402 | Insufficient credits | no |
| 40402 | 404 | Resource not found | no |
| 42201 | 422 | Quality gate failed | no |
| 42901 | 429 | Rate limit exceeded | no |
| 50401 | 504 | Upstream timeout | no |
| 50201 | 502 | Upstream error | no |
Billing
Success costs 2 credits. Any failure — including a 200 that fails the quality gate — costs 0.